Summary: 	Library for amr_nb and amr_wb
Name: 		libamr
Version: 	7.0.0.1_6.1.0.4
Release: 	1
License: 	LGPL
Group: 		Libraries
URL:		http://ftp.penguin.cz/pub/users/utx/amr/
Source: 	http://ftp.penguin.cz/pub/users/utx/amr/amrwb-7.0.0.1.tar.bz2
Source1:	http://ftp.penguin.cz/pub/users/utx/amr/amrnb-6.1.0.4.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Provides:	libamramr_nb libamr_wb

%description
1. 3GPP AMR Adaptive Multi-Rate - Wideband (AMR-WB) Speech Codec 
Shared Library.

2. 3GPP Adaptive Multi-Rate Floating-point (AMR) Speech Codec 
Shared Library.

Provides both: amr_nb and amr_wb.

%package 	devel
Summary: 	Header files and development documentation for libamr.
Group: 		Development
Provides:	libamramr_nb-devel libamr_wb-devel

%description 	devel
This package contains the header files, static libraries and development
for libamr.

%prep
%setup -q -n amrwb* -a 1

%build
%configure --disable-nls;make
cd amrnb*
%configure --disable-nls;make

%install
rm -rf %{buildroot}
make DESTDIR=$RPM_BUILD_ROOT install
cd amrnb*; make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%{_bindir}
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%{_includedir}
%{_libdir}/*.a
